> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1enginemessage



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Engine//swagger/v1/swagger.json post /api/v1/engine/message
openapi: 3.0.0
info:
  title: NDS.Services.Engine
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Engine/
security: []
paths:
  /api/v1/engine/message:
    post:
      tags:
        - Message
      operationId: Message_GetMessages
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMessagesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMessagesResult'
components:
  schemas:
    GetMessagesRequest:
      type: object
      additionalProperties: false
      properties:
        Status:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/MessageStatus'
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData'
        Sorting:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SortData'
    GetMessagesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Messages:
              type: array
              items:
                $ref: '#/components/schemas/Message'
    MessageStatus:
      type: integer
      description: ''
      x-enumNames:
        - Initial
        - Routed
        - Delivered
        - Processed
        - Completed
        - Unhandled
        - Erroneous
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
    PagingData:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    SortData:
      type: object
      additionalProperties: false
      properties:
        Descending:
          type: boolean
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Message:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
        EngineMessage:
          $ref: '#/components/schemas/EngineMessage'
        TimeStamp:
          type: string
          format: date-time
        StatusRaw:
          $ref: '#/components/schemas/MessageStatus'
        Status:
          $ref: '#/components/schemas/MessageStatus2'
        Results:
          type: array
          items:
            $ref: '#/components/schemas/ProcessResult'
        Errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorData'
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    EngineMessage:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
        Message: {}
    MessageStatus2:
      type: string
      description: ''
      x-enumNames:
        - Initial
        - Routed
        - Delivered
        - Processed
        - Completed
        - Unhandled
        - Erroneous
      enum:
        - Initial
        - Routed
        - Delivered
        - Processed
        - Completed
        - Unhandled
        - Erroneous
    ProcessResult:
      type: object
      additionalProperties: false
      properties:
        Success:
          type: boolean
    ErrorData:
      type: object
      additionalProperties: false
      properties:
        Ex:
          $ref: '#/components/schemas/Exception'
        RuleId:
          type: string
    Exception:
      type: object
      additionalProperties: false
      properties:
        Message:
          type: string
        InnerException:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Exception'
        Source:
          type: string
          nullable: true
        StackTrace:
          type: string
          nullable: true

````